Package com.microsoft.sqlserver.jdbc.spatialdatatypes

# Class Point

java.lang.Object
com.microsoft.sqlserver.jdbc.spatialdatatypes.Point

    public class Point
    extends java.lang.Object

Represents the internal makings of a Point.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`Point​(double x, double y, double z, double m)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`double` | `getM()` | Returns the m (measure) value.
`double` | `getX()` | Returns the x coordinate value.
`double` | `getY()` | Returns the y coordinate value.
`double` | `getZ()` | Returns the z (elevation) value.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Point

public Point​(double x, double y, double z, double m)

## Method Details

### getX

public double getX()
Returns the x coordinate value.

Returns:
  double x coordinate value.

### getY

public double getY()
Returns the y coordinate value.

Returns:
  double y coordinate value.

### getZ

public double getZ()
Returns the z (elevation) value.

Returns:
  double z value.

### getM

public double getM()
Returns the m (measure) value.

Returns:
  double m value.